Real Time Rotation Question

I was wondering if, when using "rtrot", the point at which the rotation occurs can be defined, or if it will always be at origin (0,0,0)? being able to select a point of rotation, would be a nice enhancement, if it isn't currently available.

Comments

  • The ability to define the orbit center in 3D space is indeed a problem. Since Bricscad did not have an equivalent for AutoCAD's "auto-center" using Orbit, there was a workaround using dview. In Bricscad Ver7, you could define the "target" using dview, however newer releases have introduced a problem that preclude the ability to use this method. Bricsys told me in December of '08 that they're working on the solution as part of Task DD154. Obviously, it's not ripe yet, so maneuvering in 3D space continues to be a pain. There are still several 3D related shortcomings with Bricscad while development priorities are focused on the more core aspects of the program. Yes, I still have to use AutoCAD for some tasks, but those days are few. Bricsys has a monumental task but has accomplished much.

  • I agree, BricsCad still has a way to go, but they have come so far as well. I will just keep looking for this enhancement in the future. Thank you for the information.

  • I look foward for this solution too.

  • Here is a lisp that moves the model from a specified point to the view center. Because the entire model is moved, there may be a noticeable delay with large models, say, above 10000 entities. I rarely use models that large, so it works for me. Maybe others will find it useful.

    ; SDR.LSP  : Set Dynamic Rotation center - to set center of 3D orbital rotation (rtrot)
    ; by moving the model to the view center.
    ; 6-28-10 Bricscad version.

    (defun c:sdr (/ *ERROR* osval vs cp vctr)

    (defun *error* (msg)
    (setvar "osmode" osval)
    (setvar "cmdecho" 1)
    (princ)
    )

    (setvar "cmdecho" 0)
    (setq osval (getvar "osmode"))
    (setvar "osmode" 5)
    (setq vs (getvar "viewsize"))
    (setq cp (getpoint "\nPick point on entity for COR"))
    (setvar "osmode" 0)
    (command ".zoom" "c" cp vs)
    (setq vctr (getvar "viewctr"))
    (command ".move" "all" "" cp vctr)
    (setvar "osmode" osval)
    (setvar "cmdecho" 1)
    (princ)
    )
  • Hello , Randy,

    I am new in this,I tried to appload this lisp file but it show:

    ; error: LOAD failed: 'rotate.lsp'
    C:SDR

    Thanks

  • Oh, it was my mistake,

    file loaded,

    but still the view is not rotating around the object

    why it is so?

  • YESS

    Its working !!!

    Thank you, Randy !

  • Janis,

    I'm glad it's working for you and you're welcome.

This discussion has been closed.